/* This program allows you to set DMX channels over the serial port.
**
** After uploading to Arduino, switch to Serial Monitor and set the baud rate
** to 9600. You can then set DMX channels using these commands:
**
** <number>c : Select DMX channel
** <number>v : Set DMX channel to new value
**
** These can be combined. For example:
** 100c355w : Set channel 100 to value 255.
**
** For more details, and compatible Processing sketch,
** visit http://code.google.com/p/tinkerit/wiki/SerialToDmx
**
** Help and support: http://groups.google.com/group/dmxsimple       */

#include <DmxSimple.h>

#define RED_PIN 10
#define GREEN_PIN 11
#define BLUE_PIN 12

#define RED_CHANNEL 2
#define GREEN_CHANNEL 3
#define BLUE_CHANNEL 4
#define BRIGHT_CHANNEL 1

#define DMX_PIN 3

void setup()
{
  // Serial.begin(9600);
  // Serial.println("SerialToDmx ready");
  // Serial.println();
  // Serial.println("Syntax:");
  // Serial.println(" 123c : use DMX channel 123");
  // Serial.println(" 45w  : set current channel to value 45");

  pinMode(RED_PIN, INPUT);
  pinMode(GREEN_PIN, INPUT);
  pinMode(BLUE_PIN, INPUT);

  DmxSimple.usePin(DMX_PIN);
}



void loop()
{
  int red = 0;
  int green = 0;
  int blue = 0;

  if (digitalRead(RED_PIN) == HIGH)
  {
    red = 255;
  }

  if (digitalRead(GREEN_PIN) == HIGH)
  {
    green = 255;
  }

  if (digitalRead(BLUE_PIN) == HIGH)
  {
    blue = 255;
  }

  DmxSimple.write(BRIGHT_CHANNEL, 255);
  DmxSimple.write(RED_CHANNEL, red);
  DmxSimple.write(BLUE_CHANNEL, blue);
  DmxSimple.write(GREEN_CHANNEL, green);
}
